import pylab as pl
from scipy import ndimage 
from scipy import misc 
import warp

im = ndimage.imread("gris.jpg")

pl.figure()
pl.gray()
pl.imshow(im)
pl.axis('equal')
pl.axis('off')

print 'Seleccionar 4 puntos'
pts = pl.ginput(4, show_clicks=True)

# cambiar x por y para poner pts en modo fila=y , columna=x
pts_h = pl.array([ pl.array([p[1], p[0], 1]) for p in pts ]).T

in_im = warp.image_in_image(misc.lena(), im, pts_h)

pl.imshow(in_im)
pl.axis('equal')
pl.axis('off')

pl.show()
